From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/argus-clients/
Date: Fri, 10 Jun 2016 05:11:54 +0000 (UTC) [thread overview]
Message-ID: <1465535491.2ca68231044120e14a9d8e1778841b9781ea8b4d.jer@gentoo> (raw)
commit: 2ca68231044120e14a9d8e1778841b9781ea8b4d
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 10 05:05:42 2016 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Jun 10 05:11:31 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ca68231
net-analyzer/argus-clients: Version bump.
Package-Manager: portage-2.3.0_rc1
net-analyzer/argus-clients/Manifest | 1 +
.../argus-clients/argus-clients-3.0.8.2.ebuild | 73 ++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/net-analyzer/argus-clients/Manifest b/net-analyzer/argus-clients/Manifest
index 60024d3..ed81d83 100644
--- a/net-analyzer/argus-clients/Manifest
+++ b/net-analyzer/argus-clients/Manifest
@@ -1 +1,2 @@
+DIST argus-clients-3.0.8.2.tar.gz 2776072 SHA256 32073a60ddd56ea8407a4d1b134448ff4bcdba0ee7399160c2f801a0aa913bb1 SHA512 20aac16bd6474b8f98c8fc86b21ad0b43aca62264c6de2f7f26eea876a90f7276cdaf2241a510a19ae445f40f5d0d05ec6a5869980b6889e6eb5937dbff0f855 WHIRLPOOL 87d13fdf38e5fef6901d11613c51abecb6862ae4a3d1e8eb318342dbc3a9289c2fbd8a4c5741a4f2cfc4597087f0a18d475494e53679a95d6ce732e271f4fbde
DIST argus-clients-3.0.8.tar.gz 2627515 SHA256 aee8585d50959e00070a382f3121edfaa844a0a51dc0b73edf84c0f4eb8912c9 SHA512 79022b3c3e472ebc526b27c20c25ae97abdb9a363a91ebbe3baf405f2aba9bdd80fbc0250b444d3d7ab4488e3c1325389a4719e92d9aded7598a91c3309369c2 WHIRLPOOL 5147a80ade6beaa44029253807033b1257b0826631deba66cb1176d82919e7e454b5e95df453d15e5a0a6b9b6e09472ab84d21b06ae97e69fca4217028513849
diff --git a/net-analyzer/argus-clients/argus-clients-3.0.8.2.ebuild b/net-analyzer/argus-clients/argus-clients-3.0.8.2.ebuild
new file mode 100644
index 0000000..6fded8c
--- /dev/null
+++ b/net-analyzer/argus-clients/argus-clients-3.0.8.2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils toolchain-funcs
+
+DESCRIPTION="Clients for net-analyzer/argus"
+HOMEPAGE="http://www.qosient.com/argus/"
+SRC_URI="http://qosient.com/argus/dev/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug ft geoip mysql sasl tcpd"
+
+MY_CDEPEND="
+ net-analyzer/rrdtool[perl]
+ net-libs/libpcap
+ sys-libs/ncurses
+ sys-libs/readline
+ sys-libs/zlib
+ ft? ( net-analyzer/flow-tools )
+ geoip? ( dev-libs/geoip )
+ mysql? ( virtual/mysql )
+ sasl? ( dev-libs/cyrus-sasl )
+"
+
+RDEPEND="
+ ${MY_CDEPEND}
+"
+
+DEPEND="
+ ${MY_CDEPEND}
+ sys-devel/bison
+ sys-devel/flex
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${PN}-3.0.4.1-disable-tcp-wrappers-automagic.patch \
+ "${FILESDIR}"/${PN}-3.0.7.21-curses-readline.patch
+
+ sed -i -e 's| ar | $(AR) |g' common/Makefile.in || die
+ tc-export AR RANLIB
+
+ eautoreconf
+}
+
+src_configure() {
+ use debug && touch .debug
+ econf \
+ $(use_with ft libft) \
+ $(use_with geoip GeoIP /usr/) \
+ $(use_with sasl) \
+ $(use_with tcpd wrappers) \
+ $(use_with mysql)
+}
+
+src_compile() {
+ # racurses uses both libncurses and libtinfo, if present
+ emake \
+ CCOPT="${CFLAGS} ${LDFLAGS}" \
+ RANLIB=$(tc-getRANLIB) \
+ CURSESLIB="$( $(tc-getPKG_CONFIG) --libs ncurses)"
+}
+
+src_install() {
+ dobin bin/ra*
+ dodoc ChangeLog CREDITS README CHANGES
+ doman man/man{1,5}/*
+}
next reply other threads:[~2016-06-10 5:12 UTC|newest]
Thread overview: 12+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-06-10 5:11 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-06-10 5:11 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/argus-clients/ Jeroen Roovers
2019-02-14 19:17 Brian Evans
2019-08-20 7:56 Jeroen Roovers
2020-08-29 11:13 Jeroen Roovers
2021-03-15 21:21 Sam James
2021-03-15 21:25 Sam James
2021-03-15 21:25 Sam James
2022-03-20 18:43 Sam James
2022-12-01 4:23 Sam James
2023-03-04 8:15 Arthur Zamarin
2023-03-04 11:03 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1465535491.2ca68231044120e14a9d8e1778841b9781ea8b4d.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox